<!--
ARCHES - a program developed to inventory and manage immovable cultural heritage.
Copyright (C) 2013 J. Paul Getty Trust and World Monuments Fund

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
-->
{% extends "base-front.htm" %} {% load staticfiles %} {% load i18n %} {% block body %}
<div id="container" class="cls-container">

    <!-- BACKGROUND IMAGE -->
    <!--===================================================
    <div id="bg-overlay" class="bg-img img-login"></div>
    -->

    <!-- LOGIN FORM -->
    {% for message in messages %}
    <div class="container-fluid p-0">
        <div class="alert {{ message.tags }} alert-dismissible" role="alert">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="True">&times;</span>
            </button>
            {{ message }}
        </div>
    </div>
    {% endfor %}
    <div class="cls-content arches-signin">
        <div class="cls-content-lg panel" style="width: 100%;">
            <div class="panel-body">
                <h3>{% trans "Register as Researcher" %}</h3>
                <p class="arches-signin-subtext">
                    {% trans "Register to access data modeling, editing, and discovery tools." %}
                </p>
                <form class="register-as-researcher-form" action="?next={{ next }}" method='POST' autocomplete="off">
                    {% csrf_token %}
                    <div>
                        {% if form.errors %}
                        <p class="errornote">
                            {% if form.errors.items|length == 1 %}{% trans "Please correct the error below." %}{% else %}{% trans "Please correct the errors below." %}{% endif %}
                            {% if form.ts.errors %}
                            {% for error in form.ts.errors %}
                                <div style="color:darkred">{{ error|escape }}</div>
                            {% endfor %}
                            {% endif %}
                        </p>
                        {% endif %}

                        {{ confirmation_message | safe }}

                        {% if showform %}
                        <div class="form-group">
                            <div class="input-group">
                                    <div class="input-group-addon"><i class="ion-compose"></i></div>
                                    <input type="text" class="form-control input-lg" placeholder="Your name as it should appear on uploaded records" name='basic_info_name' autofocus value='{{postdata.basic_info_name}}'>
                            </div>
                            {% if form.basic_info_name.errors %}
                            {% for error in form.basic_info_name.errors %}
                                <div style="color:darkred">{{ error|escape }}</div>
                            {% endfor %}
                            {% endif %}
                        </div>

                        <div class="form-group">
                            <div class="input-group">
                                    <div class="input-group-addon"><i class="ion-compose"></i></div>
                                    <input type="text" class="form-control input-lg" placeholder="Nature of your job" name='statement_description' autofocus value='{{postdata.first_name}}'>
                            </div>
                            {% if form.first_name.errors %}
                            {% for error in form.first_name.errors %}
                                <div style="color:darkred">{{ error|escape }}</div>
                            {% endfor %}
                            {% endif %}
                        </div>

                        <div class="form-group">
                            <div style="padding-bottom: 0px;">
                                {% if showform %}
                                <button class="btn btn-primary btn-lg btn-block" type="submit">{% trans "Register as Researcher" %}</button>
                                {% endif %}
                            </div>
                        </div>

                        {% endif %}
                    </div>
                </form>
            </div>

            <div class="panel-footer">
                {% trans "Contact your local Project Coordinator to be given access to your group's data" %}
            </div>

        </div>
    </div>
    <div class="pad-ver hidden">
        <a href="arches_password_reminder.html" class="btn-link mar-rgt">{% trans "Forgot password ?" %}</a>
        <a href="arches_register.html" class="btn-link mar-lft">{% trans "Create a new account" %}</a>
    </div>
</div>

</div>
<style>
#container {
    position: relative;
    top: 100px;
}
.cls-content {
    text-align: center
}
</style>
{% endblock body %}
